> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/10.5/instance-administration/marketplace.md).

# Marketplace

The Marketplace is the place for keeping the pieces of the SonarQube Server platform up to date. This page is for SonarQube Server 10.5.

{% hint style="info" %}
**For AI agents:** You're in the SonarQube Server 10.5 documentation. For a list of all 10.5 pages, see the [SonarQube Server 10.5 page index](https://3691828591-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Feu7dHWcqP9Cr3eUAzwWg%2Fuploads%2FjUvEoDEUUE0rAURT5wZJ%2Fsonarqube-server-10.5-llms.txt?alt=media). For the whole site, see the [page index](https://docs.sonarsource.com/llms.txt) or the [full text](https://docs.sonarsource.com/llms-full.txt). For another version, replace 10.5 in the URL with that version. The [latest version](https://docs.sonarsource.com/sonarqube-server/) has no version number in its URL.
{% endhint %}

{% hint style="info" %}
You can only install and update plugins from the Marketplace in SonarQube Community Build. With commercial editions, you need manually install and update your plugins. See [Install a plugin](/sonarqube-server/10.5/setup-and-upgrade/install-a-plugin.md) for more information.
{% endhint %}

Administrators can access the SonarQube Server Marketplace via **Administration** > **Marketplace**. The Marketplace tab is the place for keeping the pieces of the SonarQube Server platform up to date. It lets you:

See -

* The currently installed SonarQube Server Edition
* Which plugins are installed
* Whether plugin updates are available
* Which other plugins are compatible with your version of SonarQube Server

Discover -

* Which other Editions are available, to enable more features

Install -

* New plugins
* Plugin updates

To check for and install plugin updates, your SonarQube Server instance needs internet access. Installations require the platform to be restarted before they take effect.

{% hint style="warning" %}
A third-party website called sonarplugins.com also exists. This website is not the same as the Marketplace and is not endorsed by, affiliated with, maintained, authorized, or sponsored by Sonar.
{% endhint %}

## Pending operations <a href="#pending-operations" id="pending-operations"></a>

When you perform an action in the Marketplace (install, update, or uninstall a plugin), a yellow banner appears at the top of the page showing pending operations that will be executed once SonarQube Server is restarted. Pending operations can be canceled until the server is restarted.

## Restart SonarQube Server <a href="#restart-sonarqube" id="restart-sonarqube"></a>

Restarting SonarQube Server can be done manually from the command line by running `sonar.sh restart`. In SonarQube Community Build, you can also restart from the UI, in the Update Center. When you have Pending Changes, the restart button will be displayed in the yellow banner (see Pending Operations). Please note that restarting the server won’t reload the changes applied to the `sonar.properties`.

## Manual updates <a href="#manual-updates" id="manual-updates"></a>

If you’re using a commercial edition or your server doesn’t have internet access, you won’t be able to rely on the Marketplace tab for plugins and will have to handle plugin installations and upgrades manually.

To see what plugins are available and which version of a plugin is appropriate for your server, use the [Plugin version matrix](/sonarqube-server/10.5/instance-administration/plugin-version-matrix.md), which is kept up to date with current plugin availability and compatibility.

To install a plugin, simply download it using the manual download link on the plugin’s documentation page, place it in `<sonarqubeHome>/extensions/plugins`, and restart the server.

### Stopping the Marketplace from searching for plugin updates <a href="#stopping-the-marketplace-from-searching-for-plugin-updates" id="stopping-the-marketplace-from-searching-for-plugin-updates"></a>

Your SonarQube Server instance needs internet access for the Marketplace to search for plugin updates. If your server doesn’t have internet access, you may get errors in your logs when the Marketplace tries to search for new plugins. You can stop this by updating `sonar.updatecenter.activate` in `<sonarqubeHome>/conf/sonar.properties`.

## Which URLs does the Marketplace connect to? <a href="#which-urls-does-the-marketplace-connect-to" id="which-urls-does-the-marketplace-connect-to"></a>

The SonarQube Server Marketplace connects to <https://downloads.sonarsource.com/?prefix=sonarqube/update> to get the list of plugins. Most of the referenced plugins are downloaded from:

* <https://binaries.sonarsource.com/>
* <https://github.com/>

## Using the Marketplace behind a proxy <a href="#using-the-marketplace-behind-a-proxy" id="using-the-marketplace-behind-a-proxy"></a>

Marketplace uses HTTP(S) connections to external servers to provide these services. If SonarQube Server is located behind a proxy, additional information must be provided in `<sonarqubeHome>/conf/sonar.properties`:

```css-79elbk
http.proxyHost=<your.proxy.host>
http.proxyPort=<yout.proxy.port>

#If proxy authentication is required
http.proxyUser=<your.proxy.user>
http.proxyPassword=<your.proxy.password> 
```

Note: the same properties can be used in the `https.*` form for HTTPS connections.

## Deploying to the Marketplace <a href="#deploying-to-the-marketplace" id="deploying-to-the-marketplace"></a>

If you have developed a SonarQube Server plugin, you can check out the [requirements](https://community.sonarsource.com/t/deploying-to-the-marketplace/35236) for adding it to the Marketplace in the [Plugin Development community](https://community.sonarsource.com/c/plugins/15).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/10.5/instance-administration/marketplace.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
